Bug 949578 - Anaconda SIGINT when installing selinux-policy-3.12.1-24.fc19.noarch.rpm
Anaconda SIGINT when installing selinux-policy-3.12.1-24.fc19.noarch.rpm
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
ppc64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F19PPCBeta/F19PPCBetaBlocker/PPCBetaBlocker
  Show dependency treegraph
 
Reported: 2013-04-08 10:25 EDT by Mark Hamzy
Modified: 2014-10-07 19:24 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-07 19:24:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Contents of /tmp directory (18.14 MB, application/octet-stream)
2013-04-08 10:34 EDT, Mark Hamzy
no flags Details
Comment (298.47 KB, text/plain)
2013-04-08 11:23 EDT, Mark Hamzy
no flags Details

  None (edit)
Description Mark Hamzy 2013-04-08 10:25:50 EDT
anaconda-19.16-2 is installing packages with the anaconda-yum program.  When it gets to selinux-policy-targeted, the VNC session crashes.

[anaconda root@ip9-5-211-215 /]# anaconda-yum --config /tmp/anaconda-yum.conf --tsfile /mnt/sysimage/anaconda-yum.yumtx --rpmlog /tmp/rpm-script.log --installroot /mnt/sysimage --release 19 --arch ppc64
Loaded plugins: blacklist, fastestmirror, langpacks, whiteout
No plugin match for: fastestmirror
No plugin match for: langpacks
Adding en to language list
Config time: 0.128
rpmdb time: 0.000
Setting up Package Sacks
Loading mirror speeds from cached hostfile
 * updates: mirrors.kernel.org
pkgsack time: 0.408
DEBUG: populate transaction set
DEBUG: check transaction set
DEBUG: order transaction set
INFO: running transaction
PROGRESS_PREP:
PROGRESS_INSTALL: libgcc (1/462)
...
PROGRESS_INSTALL: selinux-policy-targeted (393/462)


I have run strace to capture what is going on, and I see the following:

set_robust_list(0x3fff8efd5ee0, 24)     = 13
pipe([37, 38])                          = 38
dup2(37, 0)                             = 37
getrlimit(RLIMIT_NOFILE, {rlim_cur=1024, rlim_max=4*1024}) = 3
fcntl(3, F_SETFD, FD_CLOEXEC)           = 4
fcntl(4, F_SETFD, FD_CLOEXEC)           = 5
fcntl(6, F_GETFD)                       = 0x7 (flags FD_CLOEXEC|0x6)
fcntl(8, F_GETFD)                       = 0x9 (flags FD_CLOEXEC|0x8)
fcntl(10, F_GETFD)                      = 0xb (flags FD_CLOEXEC|0xa)
fcntl(12, F_GETFD)                      = 0xd (flags FD_CLOEXEC|0xc)
fcntl(14, F_GETFD)                      = 0xf (flags FD_CLOEXEC|0xe)
fcntl(15, F_SETFD, FD_CLOEXEC)          = 16
fcntl(17, F_GETFD)                      = 0x12 (flags 0x12)
fcntl(19, F_GETFD)                      = 0x13 (flags FD_CLOEXEC|0x12)
fcntl(20, F_GETFD)                      = 0x14 (flags 0x14)
fcntl(21, F_GETFD)                      = 0x16 (flags 0x16)
fcntl(23, F_GETFD)                      = 0x17 (flags FD_CLOEXEC|0x16)
fcntl(24, F_GETFD)                      = 0x19 (flags FD_CLOEXEC|0x18)
fcntl(26, F_GETFD)                      = 0x1b (flags FD_CLOEXEC|0x1a)
fcntl(28, F_GETFD)                      = 0x1d (flags FD_CLOEXEC|0x1c)
fcntl(30, F_GETFD)                      = 0x1f (flags FD_CLOEXEC|0x1e)
fcntl(32, F_GETFD)                      = 0x21 (flags FD_CLOEXEC|0x20)
fcntl(34, F_GETFD)                      = 0x22 (flags 0x22)
fcntl(35, F_GETFD)                      = 0x24 (flags 0x24)
fcntl(37, F_GETFD)                      = 0x26 (flags 0x26)
fcntl(39, F_GETFD)                      = 0x28 (flags 0x28)
fcntl(41, F_GETFD)                      = 0x2a (flags 0x2a)
fcntl(43, F_GETFD)                      = 0x2c (flags 0x2c)
fcntl(45, F_GETFD)                      = 0x2e (flags 0x2e)
fcntl(47, F_GETFD)                      = 0x30 (flags 0x30)
fcntl(49, F_GETFD)                      = 0x32 (flags 0x32)
fcntl(51, F_GETFD)                      = 0x34 (flags 0x34)
fcntl(53, F_GETFD)                      = 0x36 (flags 0x36)
fcntl(55, F_GETFD)                      = 0x38 (flags 0x38)
fcntl(57, F_GETFD)                      = 0x3a (flags 0x3a)
fcntl(59, F_GETFD)                      = 0x3c (flags 0x3c)
fcntl(61, F_GETFD)                      = 0x3e (flags 0x3e)
fcntl(63, F_GETFD)                      = 0x40 (flags 0x40)
fcntl(65, F_GETFD)                      = 0x42 (flags 0x42)
fcntl(67, F_GETFD)                      = 0x44 (flags 0x44)
fcntl(69, F_GETFD)                      = 0x46 (flags 0x46)
fcntl(71, F_GETFD)                      = 0x48 (flags 0x48)
fcntl(73, F_GETFD)                      = 0x4a (flags 0x4a)
fcntl(75, F_GETFD)                      = 0x4c (flags 0x4c)
fcntl(77, F_GETFD)                      = 0x4e (flags 0x4e)
fcntl(79, F_GETFD)                      = 0x50 (flags 0x50)
fcntl(81, F_GETFD)                      = 0x52 (flags 0x52)
fcntl(83, F_GETFD)                      = 0x54 (flags 0x54)
fcntl(85, F_GETFD)                      = 0x56 (flags 0x56)
fcntl(87, F_GETFD)                      = 0x58 (flags 0x58)
fcntl(89, F_GETFD)                      = 0x5a (flags 0x5a)
fcntl(91, F_GETFD)                      = 0x5c (flags 0x5c)
fcntl(93, F_GETFD)                      = 0x5e (flags 0x5e)
fcntl(95, F_GETFD)                      = 0x60 (flags 0x60)
fcntl(97, F_GETFD)                      = 0x62 (flags 0x62)
fcntl(99, F_GETFD)                      = 0x64 (flags 0x64)
fcntl(101, F_GETFD)                     = 0x66 (flags 0x66)
fcntl(103, F_GETFD)                     = 0x68 (flags 0x68)
fcntl(105, F_GETFD)                     = 0x6a (flags 0x6a)
fcntl(107, F_GETFD)                     = 0x6c (flags 0x6c)
fcntl(109, F_GETFD)                     = 0x6e (flags 0x6e)
fcntl(111, F_GETFD)                     = 0x70 (flags 0x70)
fcntl(113, F_GETFD)                     = 0x72 (flags 0x72)
fcntl(115, F_GETFD)                     = 0x74 (flags 0x74)
fcntl(117, F_GETFD)                     = 0x76 (flags 0x76)
fcntl(119, F_GETFD)                     = 0x78 (flags 0x78)
fcntl(121, F_GETFD)                     = 0x7a (flags 0x7a)
fcntl(123, F_GETFD)                     = 0x7c (flags 0x7c)
fcntl(125, F_GETFD)                     = 0x7e (flags 0x7e)
fcntl(127, F_GETFD)                     = 0x80 (flags 0x80)
fcntl(129, F_GETFD)                     = 0x82 (flags 0x82)
fcntl(131, F_GETFD)                     = 0x84 (flags 0x84)
fcntl(133, F_GETFD)                     = 0x86 (flags 0x86)
fcntl(135, F_GETFD)                     = 0x88 (flags 0x88)
fcntl(137, F_GETFD)                     = 0x8a (flags 0x8a)
fcntl(139, F_GETFD)                     = 0x8c (flags 0x8c)
fcntl(141, F_GETFD)                     = 0x8e (flags 0x8e)
fcntl(143, F_GETFD)                     = 0x90 (flags 0x90)
fcntl(145, F_GETFD)                     = 0x92 (flags 0x92)
fcntl(147, F_GETFD)                     = 0x94 (flags 0x94)
fcntl(149, F_GETFD)                     = 0x96 (flags 0x96)
fcntl(151, F_GETFD)                     = 0x98 (flags 0x98)
fcntl(153, F_GETFD)                     = 0x9a (flags 0x9a)
fcntl(155, F_GETFD)                     = 0x9c (flags 0x9c)
fcntl(157, F_GETFD)                     = 0x9e (flags 0x9e)
fcntl(159, F_GETFD)                     = 0xa0 (flags 0xa0)
fcntl(161, F_GETFD)                     = 0xa2 (flags 0xa2)
fcntl(163, F_GETFD)                     = 0xa4 (flags 0xa4)
fcntl(165, F_GETFD)                     = 0xa6 (flags 0xa6)
fcntl(167, F_GETFD)                     = 0xa8 (flags 0xa8)
fcntl(169, F_GETFD)                     = 0xaa (flags 0xaa)
fcntl(171, F_GETFD)                     = 0xac (flags 0xac)
fcntl(173, F_GETFD)                     = 0xae (flags 0xae)
fcntl(175, F_GETFD)                     = 0xb0 (flags 0xb0)
fcntl(177, F_GETFD)                     = 0xb2 (flags 0xb2)
fcntl(179, F_GETFD)                     = 0xb4 (flags 0xb4)
fcntl(181, F_GETFD)                     = 0xb6 (flags 0xb6)
fcntl(183, F_GETFD)                     = 0xb8 (flags 0xb8)
fcntl(185, F_GETFD)                     = 0xba (flags 0xba)
fcntl(187, F_GETFD)                     = 0xbc (flags 0xbc)
fcntl(189, F_GETFD)                     = 0xbe (flags 0xbe)
fcntl(191, F_GETFD)                     = 0xc0 (flags 0xc0)
fcntl(193, F_GETFD)                     = 0xc2 (flags 0xc2)
fcntl(195, F_GETFD)                     = 0xc4 (flags 0xc4)
fcntl(197, F_GETFD)                     = 0xc6 (flags 0xc6)
fcntl(199, F_GETFD)                     = 0xc8 (flags 0xc8)
fcntl(201, F_GETFD)                     = 0xca (flags 0xca)
fcntl(203, F_GETFD)                     = 0xcc (flags 0xcc)
fcntl(205, F_GETFD)                     = 0xce (flags 0xce)
fcntl(207, F_GETFD)                     = 0xd0 (flags 0xd0)
fcntl(209, F_GETFD)                     = 0xd2 (flags 0xd2)
fcntl(211, F_GETFD)                     = 0xd4 (flags 0xd4)
fcntl(213, F_GETFD)                     = 0xd6 (flags 0xd6)
fcntl(215, F_GETFD)                     = 0xd8 (flags 0xd8)
fcntl(217, F_GETFD)                     = 0xda (flags 0xda)
fcntl(219, F_GETFD)                     = 0xdc (flags 0xdc)
fcntl(221, F_GETFD)                     = 0xde (flags 0xde)
fcntl(223, F_GETFD)                     = 0xe0 (flags 0xe0)
fcntl(225, F_GETFD)                     = 0xe2 (flags 0xe2)
fcntl(227, F_GETFD)                     = 0xe4 (flags 0xe4)
fcntl(229, F_GETFD)                     = 0xe6 (flags 0xe6)
fcntl(231, F_GETFD)                     = 0xe8 (flags 0xe8)
fcntl(233, F_GETFD)                     = 0xea (flags 0xea)
fcntl(235, F_GETFD)                     = 0xec (flags 0xec)
fcntl(237, F_GETFD)                     = 0xee (flags 0xee)
fcntl(239, F_GETFD)                     = 0xf0 (flags 0xf0)
fcntl(241, F_GETFD)                     = 0xf2 (flags 0xf2)
fcntl(243, F_GETFD)                     = 0xf4 (flags 0xf4)
fcntl(245, F_GETFD)                     = 0xf6 (flags 0xf6)
fcntl(247, F_GETFD)                     = 0xf8 (flags 0xf8)
fcntl(249, F_GETFD)                     = 0xfa (flags 0xfa)
fcntl(251, F_GETFD)                     = 0xfc (flags 0xfc)
fcntl(253, F_GETFD)                     = 0xfe (flags 0xfe)
fcntl(255, F_GETFD)                     = 0x100 (flags 0x100)
fcntl(257, F_GETFD)                     = 0x102 (flags 0x102)
fcntl(259, F_GETFD)                     = 0x104 (flags 0x104)
fcntl(261, F_GETFD)                     = 0x106 (flags 0x106)
fcntl(263, F_GETFD)                     = 0x108 (flags 0x108)
fcntl(265, F_GETFD)                     = 0x10a (flags 0x10a)
fcntl(267, F_GETFD)                     = 0x10c (flags 0x10c)
fcntl(269, F_GETFD)                     = 0x10e (flags 0x10e)
fcntl(271, F_GETFD)                     = 0x110 (flags 0x110)
fcntl(273, F_GETFD)                     = 0x112 (flags 0x112)
fcntl(275, F_GETFD)                     = 0x114 (flags 0x114)
fcntl(277, F_GETFD)                     = 0x116 (flags 0x116)
fcntl(279, F_GETFD)                     = 0x118 (flags 0x118)
fcntl(281, F_GETFD)                     = 0x11a (flags 0x11a)
fcntl(283, F_GETFD)                     = 0x11c (flags 0x11c)
fcntl(285, F_GETFD)                     = 0x11e (flags 0x11e)
fcntl(287, F_GETFD)                     = 0x120 (flags 0x120)
fcntl(289, F_GETFD)                     = 0x122 (flags 0x122)
fcntl(291, F_GETFD)                     = 0x124 (flags 0x124)
fcntl(293, F_GETFD)                     = 0x126 (flags 0x126)
fcntl(295, F_GETFD)                     = 0x128 (flags 0x128)
fcntl(297, F_GETFD)                     = 0x12a (flags 0x12a)
fcntl(299, F_GETFD)                     = 0x12c (flags 0x12c)
fcntl(301, F_GETFD)                     = 0x12e (flags 0x12e)
fcntl(303, F_GETFD)                     = 0x130 (flags 0x130)
fcntl(305, F_GETFD)                     = 0x132 (flags 0x132)
fcntl(307, F_GETFD)                     = 0x134 (flags 0x134)
fcntl(309, F_GETFD)                     = 0x136 (flags 0x136)
fcntl(311, F_GETFD)                     = 0x138 (flags 0x138)
fcntl(313, F_GETFD)                     = 0x13a (flags 0x13a)
fcntl(315, F_GETFD)                     = 0x13c (flags 0x13c)
fcntl(317, F_GETFD)                     = 0x13e (flags 0x13e)
fcntl(319, F_GETFD)                     = 0x140 (flags 0x140)
fcntl(321, F_GETFD)                     = 0x142 (flags 0x142)
fcntl(323, F_GETFD)                     = 0x144 (flags 0x144)
fcntl(325, F_GETFD)                     = 0x146 (flags 0x146)
fcntl(327, F_GETFD)                     = 0x148 (flags 0x148)
fcntl(329, F_GETFD)                     = 0x14a (flags 0x14a)
fcntl(331, F_GETFD)                     = 0x14c (flags 0x14c)
fcntl(333, F_GETFD)                     = 0x14e (flags 0x14e)
fcntl(335, F_GETFD)                     = 0x150 (flags 0x150)
fcntl(337, F_GETFD)                     = 0x152 (flags 0x152)
fcntl(339, F_GETFD)                     = 0x154 (flags 0x154)
fcntl(341, F_GETFD)                     = 0x156 (flags 0x156)
fcntl(343, F_GETFD)                     = 0x158 (flags 0x158)
fcntl(345, F_GETFD)                     = 0x15a (flags 0x15a)
fcntl(347, F_GETFD)                     = 0x15c (flags 0x15c)
fcntl(349, F_GETFD)                     = 0x15e (flags 0x15e)
fcntl(351, F_GETFD)                     = 0x160 (flags 0x160)
fcntl(353, F_GETFD)                     = 0x162 (flags 0x162)
fcntl(355, F_GETFD)                     = 0x164 (flags 0x164)
fcntl(357, F_GETFD)                     = 0x166 (flags 0x166)
fcntl(359, F_GETFD)                     = 0x168 (flags 0x168)
fcntl(361, F_GETFD)                     = 0x16a (flags 0x16a)
fcntl(363, F_GETFD)                     = 0x16c (flags 0x16c)
fcntl(365, F_GETFD)                     = 0x16e (flags 0x16e)
fcntl(367, F_GETFD)                     = 0x170 (flags 0x170)
fcntl(369, F_GETFD)                     = 0x172 (flags 0x172)
fcntl(371, F_GETFD)                     = 0x174 (flags 0x174)
fcntl(373, F_GETFD)                     = 0x176 (flags 0x176)
fcntl(375, F_GETFD)                     = 0x178 (flags 0x178)
fcntl(377, F_GETFD)                     = 0x17a (flags 0x17a)
fcntl(379, F_GETFD)                     = 0x17c (flags 0x17c)
fcntl(381, F_GETFD)                     = 0x17e (flags 0x17e)
fcntl(383, F_GETFD)                     = 0x180 (flags 0x180)
fcntl(385, F_GETFD)                     = 0x182 (flags 0x182)
fcntl(387, F_GETFD)                     = 0x184 (flags 0x184)
fcntl(389, F_GETFD)                     = 0x186 (flags 0x186)
fcntl(391, F_GETFD)                     = 0x188 (flags 0x188)
fcntl(393, F_GETFD)                     = 0x18a (flags 0x18a)
fcntl(395, F_GETFD)                     = 0x18c (flags 0x18c)
fcntl(397, F_GETFD)                     = 0x18e (flags 0x18e)
fcntl(399, F_GETFD)                     = 0x190 (flags 0x190)
fcntl(401, F_GETFD)                     = 0x192 (flags 0x192)
fcntl(403, F_GETFD)                     = 0x194 (flags 0x194)
fcntl(405, F_GETFD)                     = 0x196 (flags 0x196)
fcntl(407, F_GETFD)                     = 0x198 (flags 0x198)
fcntl(409, F_GETFD)                     = 0x19a (flags 0x19a)
fcntl(411, F_GETFD)                     = 0x19c (flags 0x19c)
fcntl(413, F_GETFD)                     = 0x19e (flags 0x19e)
fcntl(415, F_GETFD)                     = 0x1a0 (flags 0x1a0)
fcntl(417, F_GETFD)                     = 0x1a2 (flags 0x1a2)
fcntl(419, F_GETFD)                     = 0x1a4 (flags 0x1a4)
fcntl(421, F_GETFD)                     = 0x1a6 (flags 0x1a6)
fcntl(423, F_GETFD)                     = 0x1a8 (flags 0x1a8)
fcntl(425, F_GETFD)                     = 0x1aa (flags 0x1aa)
fcntl(427, F_GETFD)                     = 0x1ac (flags 0x1ac)
fcntl(429, F_GETFD)                     = 0x1ae (flags 0x1ae)
fcntl(431, F_GETFD)                     = 0x1b0 (flags 0x1b0)
fcntl(433, F_GETFD)                     = 0x1b2 (flags 0x1b2)
fcntl(435, F_GETFD)                     = 0x1b4 (flags 0x1b4)
fcntl(437, F_GETFD)                     = 0x1b6 (flags 0x1b6)
fcntl(439, F_GETFD)                     = 0x1b8 (flags 0x1b8)
fcntl(441, F_GETFD)                     = 0x1ba (flags 0x1ba)
fcntl(443, F_GETFD)                     = 0x1bc (flags 0x1bc)
fcntl(445, F_GETFD)                     = 0x1be (flags 0x1be)
fcntl(447, F_GETFD)                     = 0x1c0 (flags 0x1c0)
fcntl(449, F_GETFD)                     = 0x1c2 (flags 0x1c2)
fcntl(451, F_GETFD)                     = 0x1c4 (flags 0x1c4)
fcntl(453, F_GETFD)                     = 0x1c6 (flags 0x1c6)
fcntl(455, F_GETFD)                     = 0x1c8 (flags 0x1c8)
fcntl(457, F_GETFD)                     = 0x1ca (flags 0x1ca)
fcntl(459, F_GETFD)                     = 0x1cc (flags 0x1cc)
fcntl(461, F_GETFD)                     = 0x1ce (flags 0x1ce)
fcntl(463, F_GETFD)                     = 0x1d0 (flags 0x1d0)
fcntl(465, F_GETFD)                     = 0x1d2 (flags 0x1d2)
fcntl(467, F_GETFD)                     = 0x1d4 (flags 0x1d4)
fcntl(469, F_GETFD)                     = 0x1d6 (flags 0x1d6)
fcntl(471, F_GETFD)                     = 0x1d8 (flags 0x1d8)
fcntl(473, F_GETFD)                     = 0x1da (flags 0x1da)
fcntl(475, F_GETFD)                     = 0x1dc (flags 0x1dc)
fcntl(477, F_GETFD)                     = 0x1de (flags 0x1de)
fcntl(479, F_GETFD)                     = 0x1e0 (flags 0x1e0)
fcntl(481, F_GETFD)                     = 0x1e2 (flags 0x1e2)
fcntl(483, F_GETFD)                     = 0x1e4 (flags 0x1e4)
fcntl(485, F_GETFD)                     = 0x1e6 (flags 0x1e6)
fcntl(487, F_GETFD)                     = 0x1e8 (flags 0x1e8)
fcntl(489, F_GETFD)                     = 0x1ea (flags 0x1ea)
fcntl(491, F_GETFD)                     = 0x1ec (flags 0x1ec)
fcntl(493, F_GETFD)                     = 0x1ee (flags 0x1ee)
fcntl(495, F_GETFD)                     = 0x1f0 (flags 0x1f0)
fcntl(497, F_GETFD)                     = 0x1f2 (flags 0x1f2)
fcntl(499, F_GETFD)                     = 0x1f4 (flags 0x1f4)
fcntl(501, F_GETFD)                     = 0x1f6 (flags 0x1f6)
fcntl(503, F_GETFD)                     = 0x1f8 (flags 0x1f8)
fcntl(505, F_GETFD)                     = 0x1fa (flags 0x1fa)
fcntl(507, F_GETFD)                     = 0x1fc (flags 0x1fc)
fcntl(509, F_GETFD)                     = 0x1fe (flags 0x1fe)
fcntl(511, F_GETFD)                     = 0x200 (flags 0x200)
fcntl(513, F_GETFD)                     = 0x202 (flags 0x202)
fcntl(515, F_GETFD)                     = 0x204 (flags 0x204)
fcntl(517, F_GETFD)                     = 0x206 (flags 0x206)
fcntl(519, F_GETFD)                     = 0x208 (flags 0x208)
fcntl(521, F_GETFD)                     = 0x20a (flags 0x20a)
fcntl(523, F_GETFD)                     = 0x20c (flags 0x20c)
fcntl(525, F_GETFD)                     = 0x20e (flags 0x20e)
fcntl(527, F_GETFD)                     = 0x210 (flags 0x210)
fcntl(529, F_GETFD)                     = 0x212 (flags 0x212)
fcntl(531, F_GETFD)                     = 0x214 (flags 0x214)
fcntl(533, F_GETFD)                     = 0x216 (flags 0x216)
fcntl(535, F_GETFD)                     = 0x218 (flags 0x218)
fcntl(537, F_GETFD)                     = 0x21a (flags 0x21a)
fcntl(539, F_GETFD)                     = 0x21c (flags 0x21c)
fcntl(541, F_GETFD)                     = 0x21e (flags 0x21e)
fcntl(543, F_GETFD)                     = 0x220 (flags 0x220)
fcntl(545, F_GETFD)                     = 0x222 (flags 0x222)
fcntl(547, F_GETFD)                     = 0x224 (flags 0x224)
fcntl(549, F_GETFD)                     = 0x226 (flags 0x226)
fcntl(551, F_GETFD)                     = 0x228 (flags 0x228)
fcntl(553, F_GETFD)                     = 0x22a (flags 0x22a)
fcntl(555, F_GETFD)                     = 0x22c (flags 0x22c)
fcntl(557, F_GETFD)                     = 0x22e (flags 0x22e)
fcntl(559, F_GETFD)                     = 0x230 (flags 0x230)
fcntl(561, F_GETFD)                     = 0x232 (flags 0x232)
fcntl(563, F_GETFD)                     = 0x234 (flags 0x234)
fcntl(565, F_GETFD)                     = 0x236 (flags 0x236)
fcntl(567, F_GETFD)                     = 0x238 (flags 0x238)
fcntl(569, F_GETFD)                     = 0x23a (flags 0x23a)
fcntl(571, F_GETFD)                     = 0x23c (flags 0x23c)
fcntl(573, F_GETFD)                     = 0x23e (flags 0x23e)
fcntl(575, F_GETFD)                     = 0x240 (flags 0x240)
fcntl(577, F_GETFD)                     = 0x242 (flags 0x242)
fcntl(579, F_GETFD)                     = 0x244 (flags 0x244)
fcntl(581, F_GETFD)                     = 0x246 (flags 0x246)
fcntl(583, F_GETFD)                     = 0x248 (flags 0x248)
fcntl(585, F_GETFD)                     = 0x24a (flags 0x24a)
fcntl(587, F_GETFD)                     = 0x24c (flags 0x24c)
fcntl(589, F_GETFD)                     = 0x24e (flags 0x24e)
fcntl(591, F_GETFD)                     = 0x250 (flags 0x250)
fcntl(593, F_GETFD)                     = 0x252 (flags 0x252)
fcntl(595, F_GETFD)                     = 0x254 (flags 0x254)
fcntl(597, F_GETFD)                     = 0x256 (flags 0x256)
fcntl(599, F_GETFD)                     = 0x258 (flags 0x258)
fcntl(601, F_GETFD)                     = 0x25a (flags 0x25a)
fcntl(603, F_GETFD)                     = 0x25c (flags 0x25c)
fcntl(605, F_GETFD)                     = 0x25e (flags 0x25e)
fcntl(607, F_GETFD)                     = 0x260 (flags 0x260)
fcntl(609, F_GETFD)                     = 0x262 (flags 0x262)
fcntl(611, F_GETFD)                     = 0x264 (flags 0x264)
fcntl(613, F_GETFD)                     = 0x266 (flags 0x266)
fcntl(615, F_GETFD)                     = 0x268 (flags 0x268)
fcntl(617, F_GETFD)                     = 0x26a (flags 0x26a)
fcntl(619, F_GETFD)                     = 0x26c (flags 0x26c)
fcntl(621, F_GETFD)                     = 0x26e (flags 0x26e)
fcntl(623, F_GETFD)                     = 0x270 (flags 0x270)
fcntl(625, F_GETFD)                     = 0x272 (flags 0x272)
fcntl(627, F_GETFD)                     = 0x274 (flags 0x274)
fcntl(629, F_GETFD)                     = 0x276 (flags 0x276)
fcntl(631, F_GETFD)                     = 0x278 (flags 0x278)
fcntl(633, F_GETFD)                     = 0x27a (flags 0x27a)
fcntl(635, F_GETFD)                     = 0x27c (flags 0x27c)
fcntl(637, F_GETFD)                     = 0x27e (flags 0x27e)
fcntl(639, F_GETFD)                     = 0x280 (flags 0x280)
fcntl(641, F_GETFD)                     = 0x282 (flags 0x282)
fcntl(643, F_GETFD)                     = 0x284 (flags 0x284)
fcntl(645, F_GETFD)                     = 0x286 (flags 0x286)
fcntl(647, F_GETFD)                     = 0x288 (flags 0x288)
fcntl(649, F_GETFD)                     = 0x28a (flags 0x28a)
fcntl(651, F_GETFD)                     = 0x28c (flags 0x28c)
fcntl(653, F_GETFD)                     = 0x28e (flags 0x28e)
fcntl(655, F_GETFD)                     = 0x290 (flags 0x290)
fcntl(657, F_GETFD)                     = 0x292 (flags 0x292)
fcntl(659, F_GETFD)                     = 0x294 (flags 0x294)
fcntl(661, F_GETFD)                     = 0x296 (flags 0x296)
fcntl(663, F_GETFD)                     = 0x298 (flags 0x298)
fcntl(665, F_GETFD)                     = 0x29a (flags 0x29a)
fcntl(667, F_GETFD)                     = 0x29c (flags 0x29c)
fcntl(669, F_GETFD)                     = 0x29e (flags 0x29e)
fcntl(671, F_GETFD)                     = 0x2a0 (flags 0x2a0)
fcntl(673, F_GETFD)                     = 0x2a2 (flags 0x2a2)
fcntl(675, F_GETFD)                     = 0x2a4 (flags 0x2a4)
fcntl(677, F_GETFD)                     = 0x2a6 (flags 0x2a6)
fcntl(679, F_GETFD)                     = 0x2a8 (flags 0x2a8)
fcntl(681, F_GETFD)                     = 0x2aa (flags 0x2aa)
fcntl(683, F_GETFD)                     = 0x2ac (flags 0x2ac)
fcntl(685, F_GETFD)                     = 0x2ae (flags 0x2ae)
fcntl(687, F_GETFD)                     = 0x2b0 (flags 0x2b0)
fcntl(689, F_GETFD)                     = 0x2b2 (flags 0x2b2)
fcntl(691, F_GETFD)                     = 0x2b4 (flags 0x2b4)
fcntl(693, F_GETFD)                     = 0x2b6 (flags 0x2b6)
fcntl(695, F_GETFD)                     = 0x2b8 (flags 0x2b8)
fcntl(697, F_GETFD)                     = 0x2ba (flags 0x2ba)
fcntl(699, F_GETFD)                     = 0x2bc (flags 0x2bc)
fcntl(701, F_GETFD)                     = 0x2be (flags 0x2be)
fcntl(703, F_GETFD)                     = 0x2c0 (flags 0x2c0)
fcntl(705, F_GETFD)                     = 0x2c2 (flags 0x2c2)
fcntl(707, F_GETFD)                     = 0x2c4 (flags 0x2c4)
fcntl(709, F_GETFD)                     = 0x2c6 (flags 0x2c6)
fcntl(711, F_GETFD)                     = 0x2c8 (flags 0x2c8)
fcntl(713, F_GETFD)                     = 0x2ca (flags 0x2ca)
fcntl(715, F_GETFD)                     = 0x2cc (flags 0x2cc)
fcntl(717, F_GETFD)                     = 0x2ce (flags 0x2ce)
fcntl(719, F_GETFD)                     = 0x2d0 (flags 0x2d0)
fcntl(721, F_GETFD)                     = 0x2d2 (flags 0x2d2)
fcntl(723, F_GETFD)                     = 0x2d4 (flags 0x2d4)
fcntl(725, F_GETFD)                     = 0x2d6 (flags 0x2d6)
fcntl(727, F_GETFD)                     = 0x2d8 (flags 0x2d8)
fcntl(729, F_GETFD)                     = 0x2da (flags 0x2da)
fcntl(731, F_GETFD)                     = 0x2dc (flags 0x2dc)
fcntl(733, F_GETFD)                     = 0x2de (flags 0x2de)
fcntl(735, F_GETFD)                     = 0x2e0 (flags 0x2e0)
fcntl(737, F_GETFD)                     = 0x2e2 (flags 0x2e2)
fcntl(739, F_GETFD)                     = 0x2e4 (flags 0x2e4)
fcntl(741, F_GETFD)                     = 0x2e6 (flags 0x2e6)
fcntl(743, F_GETFD)                     = 0x2e8 (flags 0x2e8)
fcntl(745, F_GETFD)                     = 0x2ea (flags 0x2ea)
fcntl(747, F_GETFD)                     = 0x2ec (flags 0x2ec)
fcntl(749, F_GETFD)                     = 0x2ee (flags 0x2ee)
fcntl(751, F_GETFD)                     = 0x2f0 (flags 0x2f0)
fcntl(753, F_GETFD)                     = 0x2f2 (flags 0x2f2)
fcntl(755, F_GETFD)                     = 0x2f4 (flags 0x2f4)
fcntl(757, F_GETFD)                     = 0x2f6 (flags 0x2f6)
fcntl(759, F_GETFD)                     = 0x2f8 (flags 0x2f8)
fcntl(761, F_GETFD)                     = 0x2fa (flags 0x2fa)
fcntl(763, F_GETFD)                     = 0x2fc (flags 0x2fc)
fcntl(765, F_GETFD)                     = 0x2fe (flags 0x2fe)
fcntl(767, F_GETFD)                     = 0x300 (flags 0x300)
fcntl(769, F_GETFD)                     = 0x302 (flags 0x302)
fcntl(771, F_GETFD)                     = 0x304 (flags 0x304)
fcntl(773, F_GETFD)                     = 0x306 (flags 0x306)
fcntl(775, F_GETFD)                     = 0x308 (flags 0x308)
fcntl(777, F_GETFD)                     = 0x30a (flags 0x30a)
fcntl(779, F_GETFD)                     = 0x30c (flags 0x30c)
fcntl(781, F_GETFD)                     = 0x30e (flags 0x30e)
fcntl(783, F_GETFD)                     = 0x310 (flags 0x310)
fcntl(785, F_GETFD)                     = 0x312 (flags 0x312)
fcntl(787, F_GETFD)                     = 0x314 (flags 0x314)
fcntl(789, F_GETFD)                     = 0x316 (flags 0x316)
fcntl(791, F_GETFD)                     = 0x318 (flags 0x318)
fcntl(793, F_GETFD)                     = 0x31a (flags 0x31a)
fcntl(795, F_GETFD)                     = 0x31c (flags 0x31c)
fcntl(797, F_GETFD)                     = 0x31e (flags 0x31e)
fcntl(799, F_GETFD)                     = 0x320 (flags 0x320)
fcntl(801, F_GETFD)                     = 0x322 (flags 0x322)
fcntl(803, F_GETFD)                     = 0x324 (flags 0x324)
fcntl(805, F_GETFD)                     = 0x326 (flags 0x326)
fcntl(807, F_GETFD)                     = 0x328 (flags 0x328)
fcntl(809, F_GETFD)                     = 0x32a (flags 0x32a)
fcntl(811, F_GETFD)                     = 0x32c (flags 0x32c)
fcntl(813, F_GETFD)                     = 0x32e (flags 0x32e)
fcntl(815, F_GETFD)                     = 0x330 (flags 0x330)
fcntl(817, F_GETFD)                     = 0x332 (flags 0x332)
fcntl(819, F_GETFD)                     = 0x334 (flags 0x334)
fcntl(821, F_GETFD)                     = 0x336 (flags 0x336)
fcntl(823, F_GETFD)                     = 0x338 (flags 0x338)
fcntl(825, F_GETFD)                     = 0x33a (flags 0x33a)
fcntl(827, F_GETFD)                     = 0x33c (flags 0x33c)
fcntl(829, F_GETFD)                     = 0x33e (flags 0x33e)
fcntl(831, F_GETFD)                     = 0x340 (flags 0x340)
fcntl(833, F_GETFD)                     = 0x342 (flags 0x342)
fcntl(835, F_GETFD)                     = 0x344 (flags 0x344)
fcntl(837, F_GETFD)                     = 0x346 (flags 0x346)
fcntl(839, F_GETFD)                     = 0x348 (flags 0x348)
fcntl(841, F_GETFD)                     = 0x34a (flags 0x34a)
fcntl(843, F_GETFD)                     = 0x34c (flags 0x34c)
fcntl(845, F_GETFD)                     = 0x34e (flags 0x34e)
fcntl(847, F_GETFD)                     = 0x350 (flags 0x350)
fcntl(849, F_GETFD)                     = 0x352 (flags 0x352)
fcntl(851, F_GETFD)                     = 0x354 (flags 0x354)
fcntl(853, F_GETFD)                     = 0x356 (flags 0x356)
fcntl(855, F_GETFD)                     = 0x358 (flags 0x358)
fcntl(857, F_GETFD)                     = 0x35a (flags 0x35a)
fcntl(859, F_GETFD)                     = 0x35c (flags 0x35c)
fcntl(861, F_GETFD)                     = 0x35e (flags 0x35e)
fcntl(863, F_GETFD)                     = 0x360 (flags 0x360)
fcntl(865, F_GETFD)                     = 0x362 (flags 0x362)
fcntl(867, F_GETFD)                     = 0x364 (flags 0x364)
fcntl(869, F_GETFD)                     = 0x366 (flags 0x366)
fcntl(871, F_GETFD)                     = 0x368 (flags 0x368)
fcntl(873, F_GETFD)                     = 0x36a (flags 0x36a)
fcntl(875, F_GETFD)                     = 0x36c (flags 0x36c)
fcntl(877, F_GETFD)                     = 0x36e (flags 0x36e)
fcntl(879, F_GETFD)                     = 0x370 (flags 0x370)
fcntl(881, F_GETFD)                     = 0x372 (flags 0x372)
fcntl(883, F_GETFD)                     = 0x374 (flags 0x374)
fcntl(885, F_GETFD)                     = 0x376 (flags 0x376)
fcntl(887, F_GETFD)                     = 0x378 (flags 0x378)
fcntl(889, F_GETFD)                     = 0x37a (flags 0x37a)
fcntl(891, F_GETFD)                     = 0x37c (flags 0x37c)
fcntl(893, F_GETFD)                     = 0x37e (flags 0x37e)
fcntl(895, F_GETFD)                     = 0x380 (flags 0x380)
fcntl(897, F_GETFD)                     = 0x382 (flags 0x382)
fcntl(899, F_GETFD)                     = 0x384 (flags 0x384)
fcntl(901, F_GETFD)                     = 0x386 (flags 0x386)
fcntl(903, F_GETFD)                     = 0x388 (flags 0x388)
fcntl(905, F_GETFD)                     = 0x38a (flags 0x38a)
fcntl(907, F_GETFD)                     = 0x38c (flags 0x38c)
fcntl(909, F_GETFD)                     = 0x38e (flags 0x38e)
fcntl(911, F_GETFD)                     = 0x390 (flags 0x390)
fcntl(913, F_GETFD)                     = 0x392 (flags 0x392)
fcntl(915, F_GETFD)                     = 0x394 (flags 0x394)
fcntl(917, F_GETFD)                     = 0x396 (flags 0x396)
fcntl(919, F_GETFD)                     = 0x398 (flags 0x398)
fcntl(921, F_GETFD)                     = 0x39a (flags 0x39a)
fcntl(923, F_GETFD)                     = 0x39c (flags 0x39c)
fcntl(925, F_GETFD)                     = 0x39e (flags 0x39e)
fcntl(927, F_GETFD)                     = 0x3a0 (flags 0x3a0)
fcntl(929, F_GETFD)                     = 0x3a2 (flags 0x3a2)
fcntl(931, F_GETFD)                     = 0x3a4 (flags 0x3a4)
fcntl(933, F_GETFD)                     = 0x3a6 (flags 0x3a6)
fcntl(935, F_GETFD)                     = 0x3a8 (flags 0x3a8)
fcntl(937, F_GETFD)                     = 0x3aa (flags 0x3aa)
fcntl(939, F_GETFD)                     = 0x3ac (flags 0x3ac)
fcntl(941, F_GETFD)                     = 0x3ae (flags 0x3ae)
fcntl(943, F_GETFD)                     = 0x3b0 (flags 0x3b0)
fcntl(945, F_GETFD)                     = 0x3b2 (flags 0x3b2)
fcntl(947, F_GETFD)                     = 0x3b4 (flags 0x3b4)
fcntl(949, F_GETFD)                     = 0x3b6 (flags 0x3b6)
fcntl(951, F_GETFD)                     = 0x3b8 (flags 0x3b8)
fcntl(953, F_GETFD)                     = 0x3ba (flags 0x3ba)
fcntl(955, F_GETFD)                     = 0x3bc (flags 0x3bc)
fcntl(957, F_GETFD)                     = 0x3be (flags 0x3be)
fcntl(959, F_GETFD)                     = 0x3c0 (flags 0x3c0)
fcntl(961, F_GETFD)                     = 0x3c2 (flags 0x3c2)
fcntl(963, F_GETFD)                     = 0x3c4 (flags 0x3c4)
fcntl(965, F_GETFD)                     = 0x3c6 (flags 0x3c6)
fcntl(967, F_GETFD)                     = 0x3c8 (flags 0x3c8)
fcntl(969, F_GETFD)                     = 0x3ca (flags 0x3ca)
fcntl(971, F_GETFD)                     = 0x3cc (flags 0x3cc)
fcntl(973, F_GETFD)                     = 0x3ce (flags 0x3ce)
fcntl(975, F_GETFD)                     = 0x3d0 (flags 0x3d0)
fcntl(977, F_GETFD)                     = 0x3d2 (flags 0x3d2)
fcntl(979, F_GETFD)                     = 0x3d4 (flags 0x3d4)
fcntl(981, F_GETFD)                     = 0x3d6 (flags 0x3d6)
fcntl(983, F_GETFD)                     = 0x3d8 (flags 0x3d8)
fcntl(985, F_GETFD)                     = 0x3da (flags 0x3da)
fcntl(987, F_GETFD)                     = 0x3dc (flags 0x3dc)
fcntl(989, F_GETFD)                     = 0x3de (flags 0x3de)
fcntl(991, F_GETFD)                     = 0x3e0 (flags 0x3e0)
fcntl(993, F_GETFD)                     = 0x3e2 (flags 0x3e2)
fcntl(995, F_GETFD)                     = 0x3e4 (flags 0x3e4)
fcntl(997, F_GETFD)                     = 0x3e6 (flags 0x3e6)
fcntl(999, F_GETFD)                     = 0x3e8 (flags 0x3e8)
fcntl(1001, F_GETFD)                    = 0x3ea (flags 0x3ea)
fcntl(1003, F_GETFD)                    = 0x3ec (flags 0x3ec)
fcntl(1005, F_GETFD)                    = 0x3ee (flags 0x3ee)
fcntl(1007, F_GETFD)                    = 0x3f0 (flags 0x3f0)
fcntl(1009, F_GETFD)                    = 0x3f2 (flags 0x3f2)
fcntl(1011, F_GETFD)                    = 0x3f4 (flags 0x3f4)
fcntl(1013, F_GETFD)                    = 0x3f6 (flags 0x3f6)
fcntl(1015, F_GETFD)                    = 0x3f8 (flags 0x3f8)
fcntl(1017, F_GETFD)                    = 0x3fa (flags 0x3fa)
fcntl(1019, F_GETFD)                    = 0x3fc (flags 0x3fc)
fcntl(1021, F_GETFD)                    = 0x3fe (flags 0x3fe)
fcntl(1023, F_GETFD)                    = 0x14 (flags 0x14)
dup2(36, 1)                             = 36
close(20)                               = 70366837151328
gettid()                                = 1099886493872
read(20, "\0\0?\377\216\264\0058\0\0?\377\216\264\0058\0\0\0\0", 65535) = 20
open("/proc/self/task/2094/attr/current", O_RDONLY|O_CLOEXEC) = 20
close(20)                               = 1
connect(20, {sa_family=AF_FILE, sun_path="/var/run/setrans/.setrans-unix"}, 110) = 20
getxattr("/bin/sh", "security.selinux", "s", 255) = 1
connect(20, {sa_family=AF_FILE, sun_path="/var/run/setrans/.setrans-unix"}, 110) = 20
socket(PF_FILE, SOCK_STREAM|SOCK_CLOEXEC, 0) = 3
close(20)                               = 1
connect(20, {sa_family=AF_FILE, sun_path="/var/run/setrans/.setrans-unix"}, 110) = 20
open("/sys/fs/selinux/create", O_RDWR)  = 20
read(20, "\0\0?\377\216\264\0058\0\0?\377\216\264\0058\0\0\0\0", 65535) = 20
socket(PF_FILE, SOCK_STREAM|SOCK_CLOEXEC, 0) = 3
close(20)                               = 1
connect(20, {sa_family=AF_FILE, sun_path="/var/run/setrans/.setrans-unix"}, 110) = 20
open("/proc/self/task/2094/attr/exec", O_RDWR|O_CLOEXEC) = 20
close(20)                               = 1099861829376
brk(0)                                  = 0x3fffa77998a0
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
mmap(NULL, 19049, PROT_READ, MAP_PRIVATE, 3, 0) = 0x3
open("/lib64/libtinfo.so.5", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0755, st_size=205032, ...}) = 0
mmap(0x3fffa7720000, 131072, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x20000) = 0x3
open("/lib64/libdl.so.2", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0755, st_size=74304, ...}) = 0
mmap(0x3fffa76d0000, 131072, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0) = 0x3
open("/lib64/libc.so.6", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0755, st_size=2224488, ...}) = 0
mmap(0x3fffa7690000, 131072, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1c0000) = 0x3fffa76b0000
close(3)                                = 70367257886720
mprotect(0x3fffa76d0000, 65536, PROT_READ) = 70367258476544
mprotect(0x10120000, 65536, PROT_READ)  = 70367259000832
munmap(0x3fffa7740000, 19049)           = 0
open("/dev/tty", O_RDWR|O_NONBLOCK)     = 3
brk(0)                                  = 0
brk(0x1002d870000)                      = 0
getuid()                                = 269711816
geteuid()                               = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/proc/meminfo", O_RDONLY|O_CLOEXEC) = 3
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x3
close(3)                                = 70367258607616
rt_sigaction(SIGCHLD, {SIG_DFL, [], SA_RESTART}, {SIG_DFL, [], 0}, 8) = 17
rt_sigaction(SIGINT, {SIG_DFL, [], 0}, {SIG_DFL, [], 0}, 8) = 2
rt_sigaction(SIGQUIT, {SIG_DFL, [], 0}, {SIG_DFL, [], 0}, 8) = 3
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 3
uname({sys="", node="", ...})           = 1100275258000
stat(".", {st_mode=0400, st_size=70368210751168, ...}) = 0
getppid()                               = 1
connect(3, {sa_family=AF_FILE, sun_path="/var/run/nscd/socket"}, 110) = 3
socket(PF_FILE, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 3
close(3)                                = 70367257673192
fstat(3, {st_mode=S_IFREG|0644, st_size=1737, ...}) = 0
read(3, "#\n#", 4096)                   = 3
close(3)                                = 70367258607616
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
mmap(NULL, 19049, PROT_READ, MAP_PRIVATE, 3, 0) = 0x3
open("/lib64/libnss_files.so.2", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0755, st_size=82016, ...}) = 0
mmap(0x3fffa74a0000, 131072, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0) = 0x3
mprotect(0x3fffa74a0000, 65536, PROT_READ) = 70367258607616
open("/etc/passwd", O_RDONLY|O_CLOEXEC) = 3
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x3
close(3)                                = 70367258607616
getpgrp()                               = 17
getrlimit(RLIMIT_NPROC, {rlim_cur=70367256716284, rlim_max=0}) = 0
open("/var/tmp/rpm-tmp.jafbbK", O_RDONLY) = 3
lseek(3, 0, SEEK_CUR)                   = 3
lseek(3, 0, SEEK_SET)                   = 7
fcntl(255, F_GETFD)                     = 0x3 (flags FD_CLOEXEC|0x2)
close(3)                                = 255
fcntl(255, F_GETFL)                     = 0xff (flags O_ACCMODE|O_CREAT|O_EXCL|0x3c)
lseek(255, 0, SEEK_CUR)                 = 0
read(255, "", 1183)                     = 0
stat("/etc/selinux/config", {st_mode=0, st_size=0, ...}) = 2
open("/etc/selinux/config", O_WRONLY|O_CREAT|O_TRUNC, 0666) = 1
fcntl(1, F_DUPFD, 10)                   = 1
fcntl(10, F_SETFD, FD_CLOEXEC)          = 3
close(3)                                = 1
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x1
write(1, "# This file controls the state o"..., 57) = 1
write(1, "#     enforcing - SELinux securi"..., 55) = 1
write(1, "#     disabled - No SELinux poli"..., 46) = 1
write(1, "# SELINUXTYPE= can take one of t"..., 49) = 1
write(1, "#     minimum - Modification of "..., 89) = 1
write(1, "SELINUXTYPE=targeted \n", 22) = 1
write(1, "\n", 1)                       = 10
fcntl(10, F_GETFD)                      = 0xa (flags 0xa)
stat(".", {st_mode=S_IFDIR|0555, st_size=4096, ...}) = 1100275286560
stat("/bin/ln", {st_mode=S_IFREG|0755, st_size=71968, ...}) = 1100275286560
geteuid()                               = 0
getuid()                                = 0
access("/bin/ln", X_OK)                 = 1100275286560
geteuid()                               = 0
getuid()                                = 0
access("/bin/ln", R_OK)                 = 1100275286560
stat("/bin/ln", {st_mode=S_IFREG|0755, st_size=71968, ...}) = 0
getegid()                               = 0
getgid()                                = 763658784
stat("/bin/ln", {st_mode=S_IFREG|0755, st_size=71968, ...}) = 0
getegid()                               = 0
getgid()                                = 763658784
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 255
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x3fffa77b4cb0) = 2
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 2
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 2
waitpid(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 2
--- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=2095, si_status=0, si_utime=0, si_stime=0} ---
waitpid(-1, 0x3fffe0347c48, WNOHANG)    = -1 EPERM (Operation not permitted)
rt_sigaction(SIGINT, {SIG_DFL, [], 0}, {0x3fffa75723fc, [ABRT BUS FPE USR1 SEGV USR2 TERM CONT STOP TSTP IO], 0}, 8) = 269392736
stat("/sbin/restorecon", {st_mode=S_IFREG|0755, st_size=69944, ...}) = 1100275283392
geteuid()                               = 0
getuid()                                = 0
access("/sbin/restorecon", X_OK)        = 1100275283392
geteuid()                               = 0
getuid()                                = 0
access("/sbin/restorecon", R_OK)        = 1100275283392
stat("/sbin/restorecon", {st_mode=S_IFREG|0755, st_size=69944, ...}) = 0
getegid()                               = 0
getgid()                                = 763655616
stat("/sbin/restorecon", {st_mode=S_IFREG|0755, st_size=69944, ...}) = 0
getegid()                               = 0
getgid()                                = 763655616
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 18874385
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigaction(SIGINT, {0x10139d70, [], 0}, {SIG_DFL, [], 0}, 8) = -1 EPERM (Operation not permitted)
rt_sigprocmask(SIG_SETMASK, [],  <unfinished ...>
--- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=2096, si_status=1, si_utime=0, si_stime=1} ---
NULL, 8)                                = -1 EPERM (Operation not permitted)
rt_sigreturn()                          = 2
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 255
read(255, "\0x", 1183)                  = 2
exit_group(0)                           = ?
+++ exited with 0 +++
Comment 1 Mark Hamzy 2013-04-08 10:34:31 EDT
Created attachment 732701 [details]
Contents of /tmp directory
Comment 2 Mark Hamzy 2013-04-08 11:23:24 EDT
Created attachment 915706 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 3 Miroslav Grepl 2013-04-09 04:48:20 EDT
Could you try to execute

# chcon -t rpm_exec_t /usr/bin/anaconda-yum

and re-test it with this change. Thank you.
Comment 4 Mark Hamzy 2013-04-09 11:34:12 EDT
There was no change.
Comment 5 Daniel Walsh 2013-04-09 11:50:07 EDT
My understanding is the anaconda-yum command is not supposed to be executed that way, or something about anaconda not labelling content correctly.  The file_t shows you have a file image which has no labels.
Comment 6 Adam Williamson 2013-04-09 15:56:29 EDT
I'm a bit confused as to why you show anaconda-yum being executed interactively from a console? Is this just to demonstrate the problem? I did a VNC install of x86-64 Alpha RC1 and didn't hit this problem, FWIW.
Comment 7 Brian Lane 2013-04-09 16:01:44 EDT
Looks like you are running out of memory. Installing selinux-policy-targeted is typically the peak memory usage of the install, but it looks like you have 4G which should be more than enough.

I also see the selinux denials that adamw mentioned in an IRC conversation today. Do you see those when you just run the installer?

anaconda-yum isn't really meant to be run from the cmdline, but I also can't think of any good reason why it wouldn't work if you have a valid transaction file.
Comment 8 Daniel Walsh 2013-04-09 17:02:23 EDT
Well it looks like it is creating a disk image and not putting any labels on it.

12:40:25,489 NOTICE kernel:[  942.249658] type=1400 audit(1365424825.478:1599): avc:  denied  { getattr } for  pid=2510 comm="sshd" path="/etc/passwd" dev="dm-0" ino=51409 scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:file_t:s0 tclass=file

Is saying that sshd_t is trying to read /etc/passwd which the kernel reports as file_t, file_t means there are no labels.

I think these files during an install get put down early and anaconda fixes the labels in the end, before policy is loaded?
Comment 9 Mark Hamzy 2013-04-09 21:04:44 EDT
I was running anaconda-yum from the command line to demonstrate the problem.  If I perform a normal install, the vnc session crashes.

In the process of debugging this, I noticed that anaconda execs this command line program and reads its output to update the progress of the install.  I was able to hack anaconda so that it would not execute the command line and then I could run it manually after a valid transaction file was created.

Brent was able to perform a ppc64 installation just fine.  There is something unknown triggering the failure when the postinstall scriptlet of the rpm is executed.
Comment 10 David Aquilina 2013-04-18 11:17:12 EDT
Mark, do you still see this with http://ppc.koji.fedoraproject.org/stage/f19-20130417-Alpha-RC4/ ? (anaconda-19.20, selinux-policy-3.12.1-28.fc19)?
Comment 11 Mark Hamzy 2013-04-19 09:33:25 EDT
Yes. I just reproduced it on an LPAR containing exactly 4GB of memory.
Comment 12 Brian Lane 2014-10-07 19:24:37 EDT
No reports of this with f20 or later so I'm closing it.

Note You need to log in before you can comment on or make changes to this bug.